### Signal

# RB RhythmDBQueryModel::non-entry-dropped

#### Declaration

    void
    non_entry_dropped (
      RhythmDBQueryModel* self,
      gchar* uri,
      gint position,
      gpointer user_data
    )

#### Description [src]

Emitted when a URI that does not match an existing `RhythmDBEntry` is dropped into the query model.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  The URI that was dropped.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`position`

  Type: `gint`

  The position in the query model at which it was dropped.